Package org.silverpeas.components.classifieds.model

## Class ClassifiedDetail

- java.lang.Object
- - org.silverpeas.components.classifieds.model.ClassifiedDetail

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

      public class ClassifiedDetail
      extends Object
      implements org.silverpeas.core.contribution.model.SilverpeasContent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DRAFT` |
    `static String` | `REFUSED` |
    `static String` | `TO_VALIDATE` |
    `static String` | `TYPE` |
    `static String` | `UNPUBLISHED` |
    `static String` | `VALID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassifiedDetail()` |
    `ClassifiedDetail​(int classifiedId)` |
    `ClassifiedDetail​(String title, String description)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `getClassifiedId()` |
    `String` | `getComponentInstanceId()` |
    `String` | `getContributionType()` |
    `Date` | `getCreationDate()` |
    `org.silverpeas.core.admin.user.model.User` | `getCreator()` |
    `String` | `getCreatorEmail()` |
    `String` | `getCreatorId()` |
    `String` | `getCreatorName()` |
    `String` | `getDescription()` |
    `String` | `getId()` |
    `List<org.silverpeas.core.contribution.attachment.model.SimpleDocument>` | `getImages()` |
    `String` | `getInstanceId()` |
    `Date` | `getLastUpdateDate()` |
    `org.silverpeas.core.admin.user.model.User` | `getLastUpdater()` |
    `Integer` | `getPrice()` |
    `static String` | `getResourceType()` | The type of this resource
    `String` | `getSearchValue1()` |
    `String` | `getSearchValue2()` |
    `String` | `getSearchValueId1()` |
    `String` | `getSearchValueId2()` |
    `String` | `getStatus()` |
    `String` | `getTitle()` |
    `Date` | `getUpdateDate()` |
    `Date` | `getValidateDate()` |
    `String` | `getValidatorId()` |
    `String` | `getValidatorName()` |
    `int` | `hashCode()` |
    `boolean` | `isDraft()` |
    `boolean` | `isIndexable()` | A classified is indexable only and only it has been validated.
    `boolean` | `isToValidate()` |
    `boolean` | `isValid()` |
    `void` | `setClassifiedId​(int classifiedId)` |
    `void` | `setCreationDate​(Date creationDate)` |
    `void` | `setCreatorEmail​(String creatorEmail)` |
    `void` | `setCreatorId​(String creatorId)` |
    `void` | `setCreatorName​(String creatorName)` |
    `void` | `setDescription​(String description)` |
    `void` | `setImages​(List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> images)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setPrice​(Integer price)` |
    `void` | `setSearchValue1​(String searchValue1)` |
    `void` | `setSearchValue2​(String searchValue2)` |
    `void` | `setSearchValueId1​(String searchValueId1)` |
    `void` | `setSearchValueId2​(String searchValueId2)` |
    `void` | `setStatus​(String status)` |
    `void` | `setTitle​(String title)` |
    `void` | `setUpdateDate​(Date updateDate)` |
    `void` | `setValidateDate​(Date validateDate)` |
    `void` | `setValidatorId​(String validatorId)` |
    `void` | `setValidatorName​(String validatorName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

      `canBeAccessedBy, getModel, getName, getResourcePath`

    - ### Methods inherited from interface org.silverpeas.core.Instance

      `getParent`

    - ### Methods inherited from interface org.silverpeas.core.security.Securable

      `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.SilverpeasContent

      `getIdentifier, getSilverpeasContentId`

- - ### Field Detail

    - #### DRAFT

          public static final String DRAFT

      See Also:
        Constant Field Values

    - #### VALID

          public static final String VALID

      See Also:
        Constant Field Values

    - #### TO_VALIDATE

          public static final String TO_VALIDATE

      See Also:
        Constant Field Values

    - #### REFUSED

          public static final String REFUSED

      See Also:
        Constant Field Values

    - #### UNPUBLISHED

          public static final String UNPUBLISHED

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClassifiedDetail

          public ClassifiedDetail()

    - #### ClassifiedDetail

          public ClassifiedDetail​(int classifiedId)

    - #### ClassifiedDetail

          public ClassifiedDetail​(String title,
                                  String description)

  - ### Method Detail

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### setTitle

          public void setTitle​(String title)

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `org.silverpeas.core.contribution.model.Contribution`
      Specified by:
        `getDescription` in interface `org.silverpeas.core.Nameable`

    - #### setDescription

          public void setDescription​(String description)

    - #### getPrice

          public Integer getPrice()

    - #### setPrice

          public void setPrice​(Integer price)

    - #### getClassifiedId

          public int getClassifiedId()

    - #### setClassifiedId

          public void setClassifiedId​(int classifiedId)

    - #### getCreatorId

          public String getCreatorId()

    - #### setCreatorId

          public void setCreatorId​(String creatorId)

    - #### getCreatorName

          public String getCreatorName()

    - #### setCreatorName

          public void setCreatorName​(String creatorName)

    - #### getCreatorEmail

          public String getCreatorEmail()

    - #### setCreatorEmail

          public void setCreatorEmail​(String creatorEmail)

    - #### getCreationDate

          public Date getCreationDate()

      Specified by:
        `getCreationDate` in interface `org.silverpeas.core.SilverpeasResource`

    - #### setCreationDate

          public void setCreationDate​(Date creationDate)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus​(String status)

    - #### getValidatorId

          public String getValidatorId()

    - #### setValidatorId

          public void setValidatorId​(String validatorId)

    - #### getValidateDate

          public Date getValidateDate()

    - #### setValidateDate

          public void setValidateDate​(Date validateDate)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### getValidatorName

          public String getValidatorName()

    - #### setValidatorName

          public void setValidatorName​(String validatorName)

    - #### getLastUpdateDate

          public Date getLastUpdateDate()

      Specified by:
        `getLastUpdateDate` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getUpdateDate

          public Date getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate​(Date updateDate)

    - #### getCreator

          public org.silverpeas.core.admin.user.model.User getCreator()

      Specified by:
        `getCreator` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getLastUpdater

          public org.silverpeas.core.admin.user.model.User getLastUpdater()

      Specified by:
        `getLastUpdater` in interface `org.silverpeas.core.SilverpeasResource`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `org.silverpeas.core.Identifiable`
      Specified by:
        `getId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

    - #### getComponentInstanceId

          public String getComponentInstanceId()

      Specified by:
        `getComponentInstanceId` in interface `org.silverpeas.core.contribution.model.SilverpeasContent`

    - #### getContributionType

          public String getContributionType()

      Specified by:
        `getContributionType` in interface `org.silverpeas.core.contribution.model.Contribution`

    - #### getResourceType

          public static String getResourceType()

      The type of this resource
      Returns:
        the same value returned by getContributionType()

    - #### getSearchValueId1

          public String getSearchValueId1()

    - #### setSearchValueId1

          public void setSearchValueId1​(String searchValueId1)

    - #### getSearchValueId2

          public String getSearchValueId2()

    - #### setSearchValueId2

          public void setSearchValueId2​(String searchValueId2)

    - #### getSearchValue1

          public String getSearchValue1()

    - #### setSearchValue1

          public void setSearchValue1​(String searchValue1)

    - #### getSearchValue2

          public String getSearchValue2()

    - #### setSearchValue2

          public void setSearchValue2​(String searchValue2)

    - #### getImages

          public List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> getImages()

    - #### setImages

          public void setImages​(List<org.silverpeas.core.contribution.attachment.model.SimpleDocument> images)

    - #### isDraft

          public boolean isDraft()

    - #### isToValidate

          public boolean isToValidate()

    - #### isValid

          public boolean isValid()

    - #### isIndexable

          public boolean isIndexable()

      A classified is indexable only and only it has been validated. So, a classified in draft, or a classified in validation, or a removed classified isn't indexable.
      Specified by:
        `isIndexable` in interface `org.silverpeas.core.contribution.model.Contribution`
      Returns:
        true if the classified is indexable, that is to say it is validated. False otherwise.

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`